## ros-noetic-toposens-sync 2.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(toposens_sync)

add_compile_options(-std=c++17)

set(${PROJECT_NAME}_DEPS
  message_runtime
  roscpp
  toposens_driver
  toposens_msgs
)

find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_DEPS})

find_package(Boost REQUIRED COMPONENTS system)

catkin_package(INCLUDE_DIRS include LIBRARIES ${PROJECT_NAME} CATKIN_DEPENDS
               ${${PROJECT_NAME}_DEPS})

# ##############################################################################
# Build ##
# ##############################################################################

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# ##############################################################################
# Test ##
# ##############################################################################

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-noetic-toposens-sync (2.3.2-2buster) buster; urgency=high



 -- Dennis Maier <maier@toposens.com>  Wed, 26 Jan 2022 23:00:00 -0000

ros-noetic-toposens-sync (2.3.1-2buster) buster; urgency=high

  * Minor clean-up and bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Mon, 25 Oct 2021 22:00:00 -0000

ros-noetic-toposens-sync (2.3.0-2buster) buster; urgency=high

  * Introduce toposens_echo_driver package
  * Update maintainers
  * Minor bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 22 Sep 2021 22:00:00 -0000

ros-noetic-toposens-sync (2.2.1-2buster) buster; urgency=high

  * Update Maintainer
  * Minor Update
  * Contributors: Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 19 May 2021 22:00:00 -0000

ros-noetic-toposens-sync (2.2.0-2buster) buster; urgency=high

  * Optimize launch file structure
  * Add .clang-format file and auto-format files (including XML-style files)
  * Contributors: Dennis Maier, Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-toposens-sync (2.1.1-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 23 Nov 2020 23:00:00 -0000

ros-noetic-toposens-sync (2.1.0-2buster) buster; urgency=high

  * Introduce bringup package and general updates.
  * Prepare for Noetic release
  * Run separate CI stages for melodic+noetic. Bump up CMake version to 3.0.2.
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 02 Nov 2020 23:00:00 -0000

ros-noetic-toposens-sync (2.0.4-2buster) buster; urgency=high

  * Changed package maintainer
  * Fix catkin_lint issues
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 14 Oct 2020 22:00:00 -0000

ros-noetic-toposens-sync (2.0.3-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Tue, 11 Aug 2020 22:00:00 -0000

ros-noetic-toposens-sync (2.0.2-2buster) buster; urgency=high

  * Changed package maintainer
  * Contributors: Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 27 Feb 2020 23:00:00 -0000

ros-noetic-toposens-sync (2.0.1-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Wed, 22 Jan 2020 23:00:00 -0000

ros-noetic-toposens-sync (2.0.0-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 13 Jan 2020 23:00:00 -0000

ros-noetic-toposens-sync (1.3.0-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-noetic-toposens-sync (1.2.3-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-noetic-toposens-sync (1.2.2-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-noetic-toposens-sync (1.2.1-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 11 Jul 2019 22:00:00 -0000

ros-noetic-toposens-sync (1.2.0-2buster) buster; urgency=high

  * Added rules to install launch files
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 04 Jul 2019 22:00:00 -0000

ros-noetic-toposens-sync (1.1.0-2buster) buster; urgency=high

  * Added sync integration for multiple device operation
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 20 Jun 2019 22:00:00 -0000

ros-noetic-toposens-sync (1.0.0-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 13 May 2019 22:00:00 -0000

ros-noetic-toposens-sync (0.9.6-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Sun, 12 May 2019 22:00:00 -0000

ros-noetic-toposens-sync (0.9.5-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 02 May 2019 22:00:00 -0000

ros-noetic-toposens-sync (0.9.3-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 25 Apr 2019 22:00:00 -0000

ros-noetic-toposens-sync (0.9.2-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Tue, 16 Apr 2019 22:00:00 -0000

ros-noetic-toposens-sync (0.9.0-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-toposens-sync (0.8.1-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-noetic-toposens-sync (0.8.0-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-toposens-sync (0.7.0-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-toposens-sync (0.5.0-2buster) buster; urgency=high



 -- Tobias Roth <roth@toposens.com>  Wed, 06 Feb 2019 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-toposens-sync
Section: misc
Priority: optional
Maintainer: Dennis Maier <maier@toposens.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-code-coverage, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-toposens-driver, ros-noetic-toposens-msgs
Homepage: https://toposens.com
Standards-Version: 3.9.2

Package: ros-noetic-toposens-sync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-toposens-driver, ros-noetic-toposens-msgs
Description: Operational sync of multiple TS sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-toposens-sync//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
